PETSc version 3.15.5
Fix/Edit manual page

# PCHYPRESetDiscreteCurl

Set discrete curl matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetDiscreteCurl(PC pc, Mat C)

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| C | - the discrete curl

### Notes

C should have as many rows as the number of faces and as many columns as the number of edges in the mesh Each row of G has as many nonzeros as the number of edges of a face, with column indexes being the global indexes of the corresponding edge: matrix entries are +1 and -1 depending on edge orientation with respect to the face orientation

### See Also

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c

### Implementations

PCHYPRESetDiscreteCurl_HYPRE in src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages